> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream advanced OCSF search progress and results



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/ocsf/advanced/stream
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/ocsf/advanced/stream:
    post:
      tags:
        - OCSF
      summary: Stream advanced OCSF search progress and results
      operationId: OCSFController_streamSearchOCSFAdvanced
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OCSFSearchAdvancedDto'
      responses:
        '200':
          description: ''
          content:
            application/x-ndjson:
              schema:
                $ref: '#/components/schemas/OCSFStreamEvent'
        '400':
          description: ''
          content:
            application/x-ndjson:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
        - bearer: []
components:
  schemas:
    OCSFSearchAdvancedDto:
      type: object
      properties:
        query:
          type: string
          description: Query to search
        queryId:
          type: string
          description: ID of an existing query to reuse
        startTime:
          type: string
          description: Start time of the query
        endTime:
          type: string
          description: End time of the query
    OCSFStreamEvent:
      type: object
      properties:
        type:
          type: string
          description: Stream event type
        queryId:
          type: string
          description: Unique identifier for this query execution
        rowsRead:
          type: number
          description: Number of rows read so far
        bytesRead:
          type: number
          description: Number of bytes read so far
        result:
          description: Final OCSF search result when the stream completes
          allOf:
            - $ref: '#/components/schemas/OCSFSearchResult'
        row:
          type: object
          description: Single streamed result row
        message:
          type: string
          description: Error message
      required:
        - type
        - queryId
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    OCSFSearchResult:
      type: object
      properties:
        data:
          description: Array of OCSF search result objects
          type: array
          items:
            type: object
        totalCount:
          type: number
          description: >-
            Total number of results matching the search query, or null if the
            count query timed out
          nullable: true
        queryId:
          type: string
          description: Unique identifier for this query execution
        rowsRead:
          type: number
          description: Number of rows read during query execution
        bytesRead:
          type: number
          description: Number of bytes read during query execution
      required:
        - data
        - totalCount
        - queryId
        - rowsRead
        - bytesRead
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````